Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I'm trying to install Mac OS X 10.5 on a MacBook that previously had 10.4 on it. i am getting an error after selecting the language. What could be causing a box on the screen that says:

Mac OS X cannot be installed on this computer.

It's an Intel MacBook with 1GB of DDR2 memory. 80GB hard drive. It has been formatted now, so there's no going back.

According to the System Profiler on the 10.5 boot CD, the MacBook is version MacBook2,1. Thanks!

share|improve this question

3 Answers 3

up vote 4 down vote accepted

If you are using the DVD that came with another computer it will not install.

share|improve this answer
    
Why not? Is there a way around this? –  Moshe Jan 3 '10 at 4:13
    
The DVD that came with another computer is only licensed for that one computer. There is no way around this except to purchase a copy of Snow Leopard. –  ridogi Jan 3 '10 at 4:45
    
Meh. Well Thanks. –  Moshe Jan 3 '10 at 4:57

Certain install DVDs (the ones that come with the computer from the factory) are machine-specific, not full retail versions. They will install on any machine with a matching model. They've been doing this for a long time, and I remember there used to be a way to hack the ISOs of the CDs, but I've long since forgotten what that was and am not sure if it still works anymore with the new versions of OS X.

However, the simplest workaround (if you have the supported Mac that the DVD came with) is to use it to run the install. Connect it to the Mac you want to install the OS on with a FireWire cable, then start up the destination Mac in FireWire Target Disk mode (hold down Apple-T on startup). When you boot the source Mac from the OS X DVD, the source Mac's hard disk should appear in the Installer.

share|improve this answer
    
The other obvious solution is to shell out ~$30 and buy yourself a copy of the Snow Leopard retail DVD. That will install OS X on any Intel Mac. However, the SL retail install does not include the iLife application suite. To install that I believe you will need the DVD which came with the MacBook or to pay the extra bucks to buy iLife. (At this point I'd wait until they introduce iLife 2010, but maybe that's a nit for you). –  irrational John Jun 16 '10 at 2:27

If your Leopard DVD is a "CPU Drop-in DVD", it will only run if OS X 10.4 is already installed — a clean install won't work.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.